##########################################################################################
#
# Magisk Module Template Config Script
# by 乐橙
#
##########################################################################################
##########################################################################################
#
# Instructions:
#
# 1. Place your files into system folder (delete the placeholder file)
# 2. Fill in your module's info into module.prop
# 3. Configure the settings in this file (config.sh)
# 4. If you need boot scripts, add them into common/post-fs-data.sh or common/service.sh
# 5. Add your additional or modified system properties into common/system.prop
#
##########################################################################################

##########################################################################################
# Configs
##########################################################################################

# Set to true if you need to enable Magic Mount
# Most mods would like it to be enabled
AUTOMOUNT=true

# Set to true if you need to load system.prop
PROPFILE=true

# Set to true if you need post-fs-data script
POSTFSDATA=true

# Set to true if you need late_start service script
LATESTARTSERVICE=false

##########################################################################################
# Installation Message
##########################################################################################

# Set what you want to show when installing your mod

print_modname() {
  ui_print "*******************************"
  ui_print "     	Magisk Module:         "
  ui_print "For MIUI9   乐橙"
  ui_print "*******************************"
}

##########################################################################################
# Replace list
##########################################################################################

# List all directories you want to directly replace in the system
# Check the documentations for more info about how Magic Mount works, and why you need this

# This is an example
REPLACE="
"

# Construct your own list here, it will override the example above
# !DO NOT! remove this if you don't need to replace anything, leave it empty as it is now
REPLACE="
/system/priv-app/Browser
/system/priv-app/MiuiCamera
/system/priv-app/ContentExtension
/system/priv-app/MiDrop
/system/priv-app/CellBroadcastReceiver
/system/priv-app/DMRegService
/system/priv-app/dpmserviceapp
/system/priv-app/MiuiScanner
/system/priv-app/MiuiVideo
/system/priv-app/MiVRFramework
/system/priv-app/OneTimeinitializer
/system/priv-app/SharedStorageBackup
/system/app/Mipay
/system/app/AnalyticsCore
/system/app/AppIndexProvider
/system/app/AutoRegistration
/system/app/BasicDreams
/system/app/BugReport
/system/app/com.quicinc.wbcserviceapp
/system/app/Email
/system/app/embms
/system/app/GameCenter
/system/app/klobugreport
/system/app/mab
/system/app/MetokNLP
/system/app/MiLinkService
/system/app/MiLivetalk
/system/app/WallpaperBackup
/system/app/MiuiCompass
/system/app/MSA
/system/app/SogouInput
/system/app/SystemAdSolution
/system/app/UserDictionaryProvider
/system/app/WAPPushManager
/system/app/WfdService
/system/app/XMPass
/system/app/MiLinkService
/system/app/PacProcessor
/system/app/PrintSpooler
/system/app/VisualizationWallpapers
/system/app/VirtualSim
/system/app/MiuiSuperMarket
/system/app/Stk
/system/media/wallpaper
/system/media/lockscreen
"

##########################################################################################
# Permissions
##########################################################################################

set_permissions() {
  # Only some special files require specific permissions
  # The default permissions should be good enough for most cases

  # Here are some examples for the set_perm functions:

  # set_perm_recursive  <dirname>                <owner> <group> <dirpermission> <filepermission> <contexts> (default: u:object_r:system_file:s0)
  # set_perm_recursive  $MODPATH/system/lib       0       0       0755            0644

  # set_perm  <filename>                         <owner> <group> <permission> <contexts> (default: u:object_r:system_file:s0)
  # set_perm  $MODPATH/system/bin/app_process32   0       2000    0755         u:object_r:zygote_exec:s0
  # set_perm  $MODPATH/system/bin/dex2oat         0       2000    0755         u:object_r:dex2oat_exec:s0
  # set_perm  $MODPATH/system/lib/libart.so       0       0       0644

  # The following is default permissions, DO NOT remove
  set_perm_recursive  $MODPATH  0  0  0755  0644
}

##########################################################################################
# Custom Functions
##########################################################################################

# This file (config.sh) will be sourced by the main flash script after util_functions.sh
# If you need custom logic, please add them here as functions, and call these functions in
# update-binary. Refrain from adding code directly into update-binary, as it will make it
# difficult for you to migrate your modules to newer template versions.
# Make update-binary as clean as possible, try to only do function calls in it.

